### Method

# Gtk TextIterforward_to_line_end

#### Declaration [src]

    gboolean
    gtk_text_iter_forward_to_line_end (
      GtkTextIter* iter
    )

#### Description [src]

Moves the iterator to point to the paragraph delimiter characters.

The possible characters are either a newline, a carriage return, a carriage return/newline in sequence, or the Unicode paragraph separator character.

If the iterator is already at the paragraph delimiter characters, moves to the paragraph delimiter characters for the next line. If `iter` is on the last line in the buffer, which does not end in paragraph delimiters, moves to the end iterator (end of the last line), and returns `FALSE`.

#### Return value

Type: `gboolean`

`TRUE` if we moved and the new location is not the end iterator.